﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace imaeg {
    class Img {
        Image bm;
        string path;
        public Img(string path) {
            this.path = path;
            bm = null;
        }
        public void load(string root) {
            bm = new Bitmap(root + path);
        }
        public void load(string root, ImgFilter filter) {
            Bitmap asdf = new Bitmap(root + path);
            bm = filter.apply(asdf);
        }
        public bool loaded {
            get { return bm != null; }
            set { }
        }
        public void dispose() {
            if (bm != null) {
                bm.Dispose();
                bm = null;
            }
        }
        public Image get() {
            return bm;
        }
        public void set(Image im) {
            //if (bm != im) bm.Dispose();
            bm = im;
        }

        public string getName() {
            return path;
        }
        public void setName(string s) {
            path = s;
        }
    }
}
